import React, { Fragment } from 'react'
import { Row, Col, Space } from 'antd';
import { Rate } from '@arco-design/web-react';
import * as $$ from '../../../utils/utility';
export default function RateModule(props) {
  return (
    <Fragment>
      <Col span={24} style={{ display: 'flex', alignItems: 'center', margin: '12px 0px 4px 0px' }}>
        <Space size='small'>
          <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h4>当事人评价</h4>
        </Space>
      </Col>
      <Row gutter={[16, 16]}>
        <Col span={8}>
          <div className="title">
            <div className="title-text">评价等级</div>
          </div>
          <div style={{ display: 'flex' }}><Rate value={props.grade?.evaluateGrade} disabled /></div>
        </Col>
        <Col span={8}>
          <div className="title">
            <div className="title-text">评价时间</div>
          </div>
          <div>{$$.minuteFormat(props.grade?.createTime) || '-'}</div>
        </Col>
        <Col span={8}>
          <div className="title">
            <div className="title-text">评价人</div>
          </div>
          <div>{props.grade?.evaluateUserName || '-'}</div>
        </Col>
        <Col span={12}>
          <div className="title">
            <div className="title-text">评语</div>
          </div>
          <div>{props.grade?.evaluateContent}</div>
        </Col>
      </Row>
    </Fragment>
  )
}
